Index: molecuilder/src/tesselationhelpers.cpp
===================================================================
--- molecuilder/src/tesselationhelpers.cpp	(revision 49d3e1e6b43689f288bf43eabf1b53b027a818cf)
+++ molecuilder/src/tesselationhelpers.cpp	(revision 12f57b39d5180c3ae664fa5f86b2a24d3ddac0b1)
@@ -81,5 +81,5 @@
 
   if (fabs(m11) < MYEPSILON)
-    eLog() << Verbose(1) << "three points are colinear." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "three points are colinear." << endl);
 
   center->x[0] =  0.5 * m12/ m11;
@@ -88,5 +88,5 @@
 
   if (fabs(a.Distance(center) - RADIUS) > MYEPSILON)
-    eLog() << Verbose(1) << "The given center is further way by " << fabs(a.Distance(center) - RADIUS) << " from a than RADIUS." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "The given center is further way by " << fabs(a.Distance(center) - RADIUS) << " from a than RADIUS." << endl);
 
   gsl_matrix_free(A);
@@ -192,5 +192,5 @@
   //Log() << Verbose(1) << "INFO: alpha = " << alpha/M_PI*180. << ", beta = " << beta/M_PI*180. << ", gamma = " << gamma/M_PI*180. << "." << endl;
   if (fabs(M_PI - alpha - beta - gamma) > HULLEPSILON) {
-    eLog() << Verbose(1) << "GetCenterofCircumcircle: Sum of angles " << (alpha+beta+gamma)/M_PI*180. << " > 180 degrees by " << fabs(M_PI - alpha - beta - gamma)/M_PI*180. << "!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "GetCenterofCircumcircle: Sum of angles " << (alpha+beta+gamma)/M_PI*180. << " > 180 degrees by " << fabs(M_PI - alpha - beta - gamma)/M_PI*180. << "!" << endl);
   }
 
@@ -236,5 +236,5 @@
   // test whether new center is on the parameter circle's plane
   if (fabs(helper.ScalarProduct(&CirclePlaneNormal)) > HULLEPSILON) {
-    eLog() << Verbose(1) << "Something's very wrong here: NewSphereCenter is not on the band's plane as desired by " <<fabs(helper.ScalarProduct(&CirclePlaneNormal))  << "!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Something's very wrong here: NewSphereCenter is not on the band's plane as desired by " <<fabs(helper.ScalarProduct(&CirclePlaneNormal))  << "!" << endl);
     helper.ProjectOntoPlane(&CirclePlaneNormal);
   }
@@ -242,5 +242,5 @@
   // test whether the new center vector has length of CircleRadius
   if (fabs(radius - CircleRadius) > HULLEPSILON)
-    eLog() << Verbose(1) << "The projected center of the new sphere has radius " << radius << " instead of " << CircleRadius << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "The projected center of the new sphere has radius " << radius << " instead of " << CircleRadius << "." << endl);
   alpha = helper.Angle(&RelativeOldSphereCenter);
   // make the angle unique by checking the halfplanes/search direction
@@ -512,5 +512,5 @@
 //  Vector BaseLineVector, OrthogonalVector, helper;
 //  if (candidate1->BaseLine != candidate2->BaseLine) {  // sanity check
-//    eLog() << Verbose(1) << "sortCandidates was called for two different baselines: " << candidate1->BaseLine << " and " << candidate2->BaseLine << "." << endl;
+//    DoeLog(1) && (eLog()<< Verbose(1) << "sortCandidates was called for two different baselines: " << candidate1->BaseLine << " and " << candidate2->BaseLine << "." << endl);
 //    //return false;
 //    exit(1);
@@ -764,5 +764,5 @@
     }
   } else {
-    eLog() << Verbose(1) << "Given vrmlfile is " << vrmlfile << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Given vrmlfile is " << vrmlfile << "." << endl);
   }
   delete(center);
@@ -839,5 +839,5 @@
     *rasterfile << "9\n#  terminating special property\n";
   } else {
-    eLog() << Verbose(1) << "Given rasterfile is " << rasterfile << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Given rasterfile is " << rasterfile << "." << endl);
   }
   IncludeSphereinRaster3D(rasterfile, Tess, cloud);
@@ -951,5 +951,5 @@
   // check number of endpoints in *P
   if (P->endpoints.size() != 4) {
-    eLog() << Verbose(1) << "CountTrianglePairContainingPolygon works only on polygons with 4 nodes!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "CountTrianglePairContainingPolygon works only on polygons with 4 nodes!" << endl);
     return 0;
   }
@@ -957,5 +957,5 @@
   // check number of triangles in *T
   if (T->size() < 2) {
-    eLog() << Verbose(1) << "Not enough triangles to have pairs!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Not enough triangles to have pairs!" << endl);
     return 0;
   }
